Get Entry

One entry and its disposition; edits name the thread's ETag.

GET/api/v1/threads/{thread_id}/inbox/{entry_id}

One entry and its disposition; edits name the thread's ETag.

Authorization

AuthorizationBearer <token>

A workspace API key (a13n_...)

In: header

Path Parameters

thread_id*Thread Id
entry_id*Entry Id

Header Parameters

X-Workspace-ID?|

The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/threads/string/inbox/string"
{  "agent_id": "string",  "agent_revision_id": "string",  "assigned_run_id": "string",  "child_run_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "delivery": "steer",  "failure": {    "code": "string",    "message": "string"  },  "finished_at": "2019-08-24T14:15:22Z",  "id": "string",  "incorporated_checkpoint_seq": 0,  "kind": "message",  "options": {    "labels": {      "property1": "string",      "property2": "string"    },    "max_usage": {      "requests": 1    },    "overrides": {      "client_tools": [        {          "description": "string",          "instruction": "string",          "metadata": {            "property1": null,            "property2": null          },          "name": "string",          "parameters_json_schema": {            "property1": null,            "property2": null          },          "permission": "inherit"        }      ],      "connection_tools": [        {          "connection_id": "string",          "defer_loading": false,          "permission": "inherit",          "permissions": {            "property1": "allow",            "property2": "allow"          },          "tools": [            "string"          ]        }      ],      "instructions": "string",      "media_understanding": {        "audio": "string",        "image": "string",        "video": "string"      },      "model": "string",      "model_characteristics": {        "compact_threshold": 0.9,        "context_window_tokens": 1,        "proactive_context_management_threshold": 0.65      },      "model_settings": {        "property1": null,        "property2": null      },      "output_spec": {        "description": "string",        "name": "string",        "resources": {},        "schema": {          "property1": null,          "property2": null        },        "variants": [          {            "description": "string",            "name": "string",            "resources": {},            "schema": {              "property1": null,              "property2": null            }          },          {            "description": "string",            "name": "string",            "resources": {},            "schema": {              "property1": null,              "property2": null            }          }        ]      },      "plugins": [        {          "config": {            "property1": null,            "property2": null          },          "instance_name": "string",          "plugin_key": "string"        }      ],      "retries": {        "output": 0,        "tools": 0      },      "reviewer": {        "instruction": "string",        "model": "string",        "model_settings": {          "property1": null,          "property2": null        },        "on_error": "deny",        "on_flagged": "deny",        "risk_threshold": "low",        "rules": {          "property1": {            "on_flagged": "deny",            "risk_threshold": "low"          },          "property2": {            "on_flagged": "deny",            "risk_threshold": "low"          }        },        "shell_instruction": "string",        "timeout_seconds": 120      },      "skills": [        {          "revision_id": "string",          "skill_id": "string"        }      ],      "subagents": {},      "toolsets": {        "property1": {          "config": {            "property1": null,            "property2": null          },          "enabled": true,          "tools": {}        },        "property2": {          "config": {            "property1": null,            "property2": null          },          "enabled": true,          "tools": {}        }      }    }  },  "origin_run_id": "string",  "payload": {    "property1": null,    "property2": null  },  "position": 0,  "principal_id": "string",  "status": "pending",  "thread_id": "string"}